idna_to_unicode_lzlz(3)

NAME
idna_to_unicode_lzlz - API function

SYNOPSIS
#include <idna.h>

int idna_to_unicode_lzlz(const char * input, char ** output, int flags);

ARGUMENTS

const char * input
    zero-terminated string encoded in the current locale's character set.

char ** output
    pointer to newly allocated output string encoded in the current locale's character set.

int flags
    an Idna_flags value, e.g., IDNA_ALLOW_UNASSIGNED or IDNA_USE_STD3_ASCII_RULES.

DESCRIPTION
Convert possibly ACE encoded domain name in the locale's character set into a string encoded in the current locale's character set. The domain name may contain several labels, separated by dots. The output buffer must be deallocated by the caller.

RETURN VALUE
Returns IDNA_SUCCESS on success, or error code.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.